Subject: Re: [PATCH v4 00/12] remove msize limit in virtio transport

From: Dominique Martinet <[email-masked]>
Date: Fri, 8 Jul 2022 20:40:36 +0900

Christian Schoenebeck wrote on Fri, Jul 08, 2022 at 01:18:40PM +0200:
> On Freitag, 8. Juli 2022 04:26:40 CEST Eric Van Hensbergen wrote:
> > kvmtool might be the easiest I guess - I’m traveling right now but I can
> > try and find some others.  The arm fast models have free versions that are
> > downloadable as well.  I know I’ve seem some other less-traditional uses of
> > virtio particularly in libos deployments but will take some time to rattle
> > those from my memory.
> 
> Some examples would indeed be useful, thanks!

https://github.com/kvmtool/kvmtool indeed has a 9p server, I think I
used to run it ages ago.
I'll give it a fresh spin, thanks for the reminder.

For this one it defines VIRTQUEUE_NUM to 128, so not quite 1024.

> > > I found https://github.com/moby/hyperkit for OSX but that doesn't really
> > > help me, and can't see much else relevant in a quick search
> 
> So that appears to be a 9p (@virtio-PCI) client for xhyve,

oh the 9p part is client code?
the readme says it's a server:
"It includes a complete hypervisor, based on xhyve/bhyve"
but I can't run it anyway, so I didn't check very hard.

> with max. 256kB buffers <=> max. 68 virtio descriptors (memory segments) [1]:

huh...

Well, as long as msize is set I assume it'll work out anyway? How does
virtio queue size work with e.g. parallel messages?

Anyway, even if the negotiation part gets done servers won't all get
implemented in a day, so we need to think of other servers a bit..

--
Dominique